package com.dlc.exam.ui.widget;

public class MessageEvent {
    private String tag;
    private String data;
    private boolean result = true;

    private MessageEvent() {

    }

    public MessageEvent(String tag, String data) {
        setTag(tag);
        setData(data);
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getData() {
        return data;
    }

    public void setData(String data) {
        this.data = data;
    }

    public boolean isResult() {
        return result;
    }

    public void setResult(boolean result) {
        this.result = result;
    }

    @Override
    public String toString() {
        return "MessageEvent{" +
                "tag='" + tag + '\'' +
                ", data='" + data + '\'' +
                ", result=" + result +
                '}';
    }
}
